<?php

/* ADMIN SYSTEM MODULE
----------------------------------*/

if (!empty($mswSysLinks)) {

  // Are there any custom admin pages?
  $Q_APG = $DB->db_query("SELECT * FROM `" . DB_PREFIX . "admin_pages` WHERE `en` = 'yes' ORDER BY `ordr`");
  if ($DB->db_rows($Q_APG) > 0) {

    // Initialise new menu item for admin pages
    $mswSysLinks['eight'] = array(
      'txt' => $msw_11_admin_pages[1],
      'icon' => 'lock',
      'links' => []
    );


    // Get the pages
    while ($APG = $DB->db_object($Q_APG)) {
      if ($APG->name) {
        $mswSysLinks['eight']['links']['apg&id=' . $APG->id] = mswSH($APG->name);
      }
    }

  }

}

?>